[arch-commits] Commit in (4 files)

Felix Yan fyan at archlinux.org
Mon Aug 18 07:57:20 UTC 2014


    Date: Monday, August 18, 2014 @ 09:57:20
  Author: fyan
Revision: 117505

addpkg: python-librabbitmq 1.5.2-2

Added:
  python-librabbitmq/
  python-librabbitmq/repos/
  python-librabbitmq/trunk/
  python-librabbitmq/trunk/PKGBUILD

----------+
 PKGBUILD |   38 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 38 insertions(+)

Added: python-librabbitmq/trunk/PKGBUILD
===================================================================
--- python-librabbitmq/trunk/PKGBUILD	                        (rev 0)
+++ python-librabbitmq/trunk/PKGBUILD	2014-08-18 07:57:20 UTC (rev 117505)
@@ -0,0 +1,38 @@
+# $Id$
+# Maintainer: Felix Yan <felixonmars at gmail.com>
+
+pkgbase=python-librabbitmq
+pkgname=python2-librabbitmq
+pkgver=1.5.2
+pkgrel=2
+pkgdesc="AMQP Client using the rabbitmq-c library"
+arch=('i686' 'x86_64')
+url="http://pypi.python.org/pypi/librabbitmq"
+license=('MPL')
+makedepends=('python2-setuptools' 'python2-amqp')
+checkdepends=('python2-nose-cover3')
+source=("http://pypi.python.org/packages/source/l/librabbitmq/librabbitmq-$pkgver.tar.gz")
+
+check() {
+  cd "$srcdir/librabbitmq-$pkgver"
+
+  # unittest2 is not needed for Python 2.7
+  sed -e "s/import unittest2 as unittest/import unittest/" \
+      -i librabbitmq/tests/test_functional.py
+
+  # Need a RabbitMQ to run the tests
+  python2 setup.py test || warning "Tests failed"
+}
+
+package_python2-librabbitmq() {
+  depends=('python2-amqp')
+
+  cd "$srcdir/librabbitmq-$pkgver"
+  python2 setup.py install -O1 --root="$pkgdir/"
+
+  # Avoid conflicts
+  cd "$pkgdir/usr/lib/python2.7/site-packages/"
+  mv funtests librabbitmq/
+}
+
+md5sums=('842aea204fcfb5d7a541ae72d5ad38bc')


Property changes on: python-librabbitmq/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
## -0,0 +1 ##
+Id
\ No newline at end of property



More information about the arch-commits mailing list